Gets the last key of an array

- « array_key_first

- array_keys »

- PHP Manual
- Array Functions
- Gets the last key of an array

# array_key_last

(PHP 7 >= 7.3.0, PHP 8)

array_key_last — Gets the last key of an array

### Description

array_key_last(array `$array`): int|string|null

Get the last key of the given `array` without affecting the internal array pointer.

### Parameters

`array`

  An array.

### Return Values

Returns the last key of `array` if the array is not empty; `null` otherwise.

### See Also

- array_key_first() - Gets the first key of an array
- end() - Set the internal pointer of an array to its last element